Subject: Re: [PATCH net-next 2/2] qede: convert to use ndo_hwtstamp callbacks

From: Jakub Kicinski <[email-masked]>
Date: Wed, 5 Nov 2025 17:21:23 -0800

On Wed,  5 Nov 2025 18:51:33 +0000 Vadim Fedorenko wrote:
> The driver implemented SIOCSHWTSTAMP ioctl cmd only, but it stores
> configuration in private structure, so it can be reported back to users.
> Implement both ndo_hwtstamp_set and ndo_hwtstamp_set callbacks.
> ndo_hwtstamp_set implements a check of unsupported 1-step timestamping
> and qede_ptp_cfg_filters() becomes void as it cannot fail anymore.

drivers/net/ethernet/qlogic/qede/qede_ptp.c:289:6: warning: unused variable 'rc' [-Wunused-variable]
  289 |         int rc;
      |             ^~

Please consider:
https://github.com/linux-netdev/nipa?tab=readme-ov-file#running-locally
-- 
pw-bot: cr